@echo off
title Lock Bootloader
echo.Booloader will be locked, backup your data in advance!
echo.   1. Turn on "USB Debugging" in developer settings
echo.   2. Allow "USB Debugging" if asked by device
echo.Press any key to continue...
pause>nul
echo.
echo.Please select your device status:
echo.   1. Fully booted
echo.   2. Fastboot mode
set choice=
set /p choice=Status: 
IF NOT "%choice%"=="" SET choice=%choice:~0,1%
if /i "%choice%"=="2" goto fastboom
if /i "%choice%"=="1" goto adb
:adb
echo.
echo.Your bootloader will be locked soon, connect your device with PC
echo.Searching for device...
.\tools\adb.exe wait-for-device
.\tools\adb.exe reboot-bootloader
echo Wait 7 seconds...
timeout -t 7 >nul
:fastboom
echo.
echo.Start locking bootloader, don't disconnect device from PC!
.\tools\fastboot.exe oem lock-go
.\tools\fastboot.exe flashing lock
echo.If prompt says "OKAY", locking was successfull.
echo.Use the volume keys to select "LOCK BOOTLOADER", press power key to confirm.
echo Done!
pause
